org.appng.api

## Interface SoapService

-     public interface SoapService

  This interface has to be implemented for creating SOAP-webservices based on JAXB and Spring-WS. The implementing class has to be annotated with `Endpoint`.
  Author:
    Matthias Müller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContextPath()` Returns the contextpath (package-names) for the `JAXBContext` to be created.
    `String` | `getSchemaLocation()` Returns the location of the xsd-schema used by the webservice (classpath-relative)
    `void` | `setApplication(Application application)` Sets the `Application` to use when processing the request
    `void` | `setEnvironment(Environment environment)` Sets the `Environment` to use when processing the request
    `void` | `setSite(Site site)` Sets the `Site` to use when processing the request

- - ### Method Detail

    - #### getContextPath

          String getContextPath()

      Returns the contextpath (package-names) for the `JAXBContext` to be created. Multiple packages have to be separated by a colon (':').
      Returns:
        the contextpath
      See Also:
        `JAXBContext.newInstance(String, ClassLoader)`

    - #### getSchemaLocation

          String getSchemaLocation()

      Returns the location of the xsd-schema used by the webservice (classpath-relative)
      Returns:
        the location

    - #### setApplication

          void setApplication(Application application)

      Sets the `Application` to use when processing the request
      Parameters:
        `application` - the `Application`

    - #### setSite

          void setSite(Site site)

      Sets the `Site` to use when processing the request
      Parameters:
        `site` - the `Site`

    - #### setEnvironment

          void setEnvironment(Environment environment)

      Sets the `Environment` to use when processing the request
      Parameters:
        `environment` - the `Environment`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.